## org.eclipse.xsd
Interface XSDAttributeUse

All Superinterfaces:
  EObject, Notifier, XSDAttributeGroupContent, XSDComponent, XSDConcreteComponent

All Known Implementing Classes:
  XSDAttributeUseImpl

    public interface XSDAttributeUse

extends XSDComponent, XSDAttributeGroupContent

A representation of the model object 'Attribute Use'.

The following features are supported:

- `Required`
- `Value`
- `Constraint`
- `Use`
- `Lexical Value`
- `Attribute Declaration`
- `Content`

See Also:
  `XSDPackage.getXSDAttributeUse()`

Method Summary
`XSDAttributeDeclaration` `getAttributeDeclaration()` Returns the value of the 'Attribute Declaration' reference
`XSDConstraint` `getConstraint()` Returns the value of the 'Constraint' attribute.
`XSDAttributeDeclaration` `getContent()` Returns the value of the 'Content' containment reference
`java.lang.String` `getLexicalValue()` Returns the value of the 'Lexical Value' attribute
`XSDAttributeUseCategory` `getUse()` Returns the value of the 'Use' attribute.
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute
`boolean` `isRequired()` Returns the value of the 'Required' attribute
`boolean` `isSetConstraint()` Returns whether the value of the '`Constraint`' attribute is set
`boolean` `isSetUse()` Returns whether the value of the '`Use`' attribute is set
`void` `setAttributeDeclaration(XSDAttributeDeclaration value)` Sets the value of the '`Attribute Declaration`' reference
`void` `setConstraint(XSDConstraint value)` Sets the value of the '`Constraint`' attribute
`void` `setContent(XSDAttributeDeclaration value)` Sets the value of the '`Content`' containment reference
`void` `setLexicalValue(java.lang.String value)` Sets the value of the '`Lexical Value`' attribute
`void` `setRequired(boolean value)` Sets the value of the '`Required`' attribute
`void` `setUse(XSDAttributeUseCategory value)` Sets the value of the '`Use`' attribute
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute
`void` `unsetConstraint()` Unsets the value of the '`Constraint`' attribute
`void` `unsetUse()` Unsets the value of the '`Use`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isRequired

    boolean isRequired()

  Returns the value of the 'Required' attribute.

  This represents the required infoset property.

  Returns:
    the value of the 'Required' attribute.
  See Also:
    `setRequired(boolean)`, `XSDPackage.getXSDAttributeUse_Required()`

### setRequired

    void setRequired(boolean value)

  Sets the value of the '`Required`' attribute.

  Parameters:
    `value` - the new value of the 'Required' attribute.
  See Also:
    `isRequired()`

### getValue

    java.lang.Object getValue()

  Returns the value of the 'Value' attribute.

  This represents the value of the value constraint infoset property. It is computed from the `lexical value` and should typically not be set directly.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(Object)`, `XSDPackage.getXSDAttributeUse_Value()`

### setValue

    void setValue(java.lang.Object value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

### getConstraint

    XSDConstraint getConstraint()

  Returns the value of the 'Constraint' attribute. The literals are from the enumeration `XSDConstraint`.

  This represents the constraint of the value constraint infoset property.

  Returns:
    the value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `isSetConstraint()`, `unsetConstraint()`, `setConstraint(XSDConstraint)`, `XSDPackage.getXSDAttributeUse_Constraint()`

### setConstraint

    void setConstraint(XSDConstraint value)

  Sets the value of the '`Constraint`' attribute.

  Parameters:
    `value` - the new value of the 'Constraint' attribute.
  See Also:
    `XSDConstraint`, `isSetConstraint()`, `unsetConstraint()`, `getConstraint()`

### unsetConstraint

    void unsetConstraint()

  Unsets the value of the '`Constraint`' attribute.

  See Also:
    `isSetConstraint()`, `getConstraint()`, `setConstraint(XSDConstraint)`

### isSetConstraint

    boolean isSetConstraint()

  Returns whether the value of the '`Constraint`' attribute is set.

  Returns:
    whether the value of the 'Constraint' attribute is set.
  See Also:
    `unsetConstraint()`, `getConstraint()`, `setConstraint(XSDConstraint)`

### getUse

    XSDAttributeUseCategory getUse()

  Returns the value of the 'Use' attribute. The literals are from the enumeration `XSDAttributeUseCategory`.

  This concrete attribute represents the value of the use attribute.

  Returns:
    the value of the 'Use' attribute.
  See Also:
    `XSDAttributeUseCategory`, `isSetUse()`, `unsetUse()`, `setUse(XSDAttributeUseCategory)`, `XSDPackage.getXSDAttributeUse_Use()`

### setUse

    void setUse(XSDAttributeUseCategory value)

  Sets the value of the '`Use`' attribute.

  Parameters:
    `value` - the new value of the 'Use' attribute.
  See Also:
    `XSDAttributeUseCategory`, `isSetUse()`, `unsetUse()`, `getUse()`

### unsetUse

    void unsetUse()

  Unsets the value of the '`Use`' attribute.

  See Also:
    `isSetUse()`, `getUse()`, `setUse(XSDAttributeUseCategory)`

### isSetUse

    boolean isSetUse()

  Returns whether the value of the '`Use`' attribute is set.

  Returns:
    whether the value of the 'Use' attribute is set.
  See Also:
    `unsetUse()`, `getUse()`, `setUse(XSDAttributeUseCategory)`

### getLexicalValue

    java.lang.String getLexicalValue()

  Returns the value of the 'Lexical Value' attribute.

  This concrete attribute represents the value of the default or fixed attribute.

  Returns:
    the value of the 'Lexical Value' attribute.
  See Also:
    `setLexicalValue(String)`, `XSDPackage.getXSDAttributeUse_LexicalValue()`

### setLexicalValue

    void setLexicalValue(java.lang.String value)

  Sets the value of the '`Lexical Value`' attribute.

  Parameters:
    `value` - the new value of the 'Lexical Value' attribute.
  See Also:
    `getLexicalValue()`

### getAttributeDeclaration

    XSDAttributeDeclaration getAttributeDeclaration()

  Returns the value of the 'Attribute Declaration' reference.

  This represents the attribute infoset property. It is computed from the `content` and should typically not be set directly.

  Returns:
    the value of the 'Attribute Declaration' reference.
  See Also:
    `setAttributeDeclaration(XSDAttributeDeclaration)`, `XSDPackage.getXSDAttributeUse_AttributeDeclaration()`

### setAttributeDeclaration

    void setAttributeDeclaration(XSDAttributeDeclaration value)

  Sets the value of the '`Attribute Declaration`' reference.

  Parameters:
    `value` - the new value of the 'Attribute Declaration' reference.
  See Also:
    `getAttributeDeclaration()`

### getContent

    XSDAttributeDeclaration getContent()

  Returns the value of the 'Content' containment reference.

  This concrete reference represents the underlying concrete attribute element.

  Returns:
    the value of the 'Content' containment reference.
  See Also:
    `setContent(XSDAttributeDeclaration)`, `XSDPackage.getXSDAttributeUse_Content()`

### setContent

    void setContent(XSDAttributeDeclaration value)

  Sets the value of the '`Content`' containment reference.

  Parameters:
    `value` - the new value of the 'Content' containment reference.
  See Also:
    `getContent()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.